org.apache.ignite.internal.binary

## Interface BinaryObjectEx

All Superinterfaces:
  BinaryObject, Cloneable, Serializable

All Known Implementing Classes:
  BinaryEnumObjectImpl, BinaryObjectExImpl, BinaryObjectImpl, BinaryObjectOffheapImpl

    public interface BinaryObjectEx
    extends BinaryObject

Extended binary object interface.

### Method Summary

Methods
`int` `typeId()`

### Methods inherited from interface org.apache.ignite.binary.BinaryObject

`clone, deserialize, enumOrdinal, field, hasField, toBuilder, type`

### Method Detail

#### typeId

    int typeId()

Returns:
  Type ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016